Download it now!
Bug 141933 - FILEOPEN DOCX Line styles not recognized in Line Style dropdowns
Summary: FILEOPEN DOCX Line styles not recognized in Line Style dropdowns
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.3.0 target:7.2....
Keywords:
Depends on: 141934 141935
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-27 12:11 UTC by NISZ LibreOffice Team
Modified: 2021-07-07 09:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (23.23 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-04-27 12:11 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (103.46 KB, image/png)
2021-04-27 12:12 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-04-27 12:11:47 UTC
Created attachment 171452 [details]
Example file from Word

This is a followup to bug #139301
Some Word line style presets when used with rounded caps are not recognized in the Line dialog – Style dropdown and on the Drawing Object Properties toolbars Line Style dropdown.

Steps to reproduce:
    1. Open attached file
    2. Select each of the lines and observe the toolbars Line Style does not change
    3. Select Format – Text Box and Shape – Line and observe the Line tabs Style dropdown being empty

Actual results:
Line style of the imported lines is not recognized.

Expected results:
Line style of the imported lines is recognized.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: db1cf111666847ce5ce93d18ae5ae8c29a4c44d6
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2021-04-27 12:12:04 UTC
Created attachment 171453 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Commit Notification 2021-05-05 11:43:08 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b9b2c6a98fec798fc0ec76ec3cd407724f19dcac

tdf#141933 add preset dash styles with round cap

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 László Németh 2021-05-05 11:49:24 UTC
tdf#141933 add preset dash styles with round cap

New OOXML-compatible preset styles weren't recognized
on the UI, including the Drawing Object Properties
toolbar and Line Style settings, if the preset styles
use round cap, e.g. line styles with dot-like dots (i.e.
not tiny squares as dots).

As a workaround for interoperability and access to
the line styles with dot-like dots, add "Rounded"
version for every OOXML-compatible preset styles with
round cap. This allows to apply dot-like dotted lines
to new shapes, too.

Background: round cap modifies the DotLen and DashLen
values of the LineDash struct during the OOXML import,
using ~zero values to get dot-like dots. For the details,
see commit 3f3b50015e4fd9efc3459612a70409fca49cf390
"tdf#134053 tweak dash and space length for ooxml" and
commit 24d770799660d3ec94ee7add435645794426042b
"tdf#134128 Use Gdiplus::DashCapRound for round dash or dot".

Follow of commit 183c06fc02a50fb117bb6162e4d6e56cdd34fad1
"tdf#139301 fix OOXML-compatible preset dash styles".
Comment 4 BogdanB 2021-05-11 04:38:02 UTC
It's ok now in Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: d4f116d9576453f5974eb63db37a33c59ac53bc9
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 5 Commit Notification 2021-06-30 09:04:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8b3ff370ab0fe2e7593a69513c8ff3df35810c4e

tdf#139301 tdf#141933 (related) Translate new preset dash names

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-07-07 09:40:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/6cc32198fa9204cd31df206c1a65f388cf79dd1f

tdf#139301 tdf#141933 (related) Translate new preset dash names

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.